org.apache.solr.client.solrj.cloud.autoscaling

## Enum Operand

- java.lang.Object
- - java.lang.Enum<Operand>
  - - org.apache.solr.client.solrj.cloud.autoscaling.Operand

All Implemented Interfaces:
  Serializable, Comparable<Operand>

    public enum Operand
    extends Enum<Operand>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EQUAL`
`GREATER_THAN`
`IN`
`LESS_THAN`
`NOT_EQUAL`
`RANGE_EQUAL`
`RANGE_NOT_EQUAL`
`WILDCARD`

### Field Summary

Fields
`String` `operand`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected double` `_delta(double expected, double actual)`
`Double` `delta(Object expected, Object actual)`
`org.apache.solr.client.solrj.cloud.autoscaling.Clause.TestStatus` `match(Object ruleVal, Object testVal)`
`Operand` `opposite(boolean flag)`
`Object` `readRuleValue(Condition condition)`
`static Operand` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Operand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`String` `wrap(Object val)`

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WILDCARD

    public static final Operand WILDCARD

#### RANGE_EQUAL

    public static final Operand RANGE_EQUAL

#### EQUAL

    public static final Operand EQUAL

#### IN

    public static final Operand IN

#### RANGE_NOT_EQUAL

    public static final Operand RANGE_NOT_EQUAL

#### NOT_EQUAL

    public static final Operand NOT_EQUAL

#### GREATER_THAN

    public static final Operand GREATER_THAN

#### LESS_THAN

    public static final Operand LESS_THAN

### Field Detail

#### operand

    public final String operand

### Method Detail

#### values

    public static Operand[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Operand c : Operand.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Operand valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### opposite

    public Operand opposite(boolean flag)

#### match

    public org.apache.solr.client.solrj.cloud.autoscaling.Clause.TestStatus match(Object ruleVal,
                                                                                  Object testVal)

#### delta

    public Double delta(Object expected,
                        Object actual)

#### _delta

    protected double _delta(double expected,
                            double actual)

#### wrap

    public String wrap(Object val)

#### readRuleValue

    public Object readRuleValue(Condition condition)